View Issue Details

IDProjectCategoryView StatusLast Update
0002835PartDesignBugpublic2017-06-19 15:21
ReporterMarco_T Assigned Toickby  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64-bitOSWindowsOS Version7
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002835: Drag & Drop Body into Part scrambles the order of elements
DescriptionWhen a Body (with a simple pad or additive primitive) is drag & dropped into a Part container, the order of the items in the tree (Body and Part content) is completely scrambled.

- BodyOrigin datum axes and planes are ousted from the Body and the Part and listed at the bottom of the tree
- BodyOrigin is duplicated once under Part, once under Body
- BodyOrigin nests copies of PartOrigin datum axes and planes, which mean they are listed three times in the tree.
Steps To Reproduce- Create new Body
- Draw simple pad into Body
- Create new Part
- Move Body into previous Part
- Eventually, recompute
Additional InformationForum topic: https://forum.freecadweb.org/viewtopic.php?f=3&t=19716
TagsNo tags attached.
FreeCAD Information

Activities

normandc

2017-06-18 00:42

manager   ~0009439

Reworded summary and description to make them less vague.

wmayer

2017-06-19 15:21

administrator   ~0009456

https://github.com/FreeCAD/FreeCAD/commit/f3358ad77af5d9a3b2002f788474787b27c4416b

Issue History

Date Modified Username Field Change
2017-01-08 12:49 Marco_T New Issue
2017-01-08 21:21 normandc Assigned To => ickby
2017-01-08 21:21 normandc Status new => assigned
2017-06-18 00:27 normandc Target Version => 0.17
2017-06-18 00:42 normandc Summary Little "mess" moving body into part => Drag & Drop Body into Part scrambles the order of elements
2017-06-18 00:42 normandc Description Updated View Revisions
2017-06-18 00:42 normandc Additional Information Updated View Revisions
2017-06-18 00:42 normandc Note Added: 0009439
2017-06-18 00:43 normandc Description Updated View Revisions
2017-06-19 15:21 wmayer Status assigned => closed
2017-06-19 15:21 wmayer Resolution open => fixed
2017-06-19 15:21 wmayer Fixed in Version => 0.17
2017-06-19 15:21 wmayer Note Added: 0009456